Package relaxngcc.grammar

# Class OneOrMorePattern

java.lang.Object
relaxngcc.grammar.Pattern
relaxngcc.grammar.OneOrMorePattern

public class OneOrMorePattern extends Pattern

Author:
  Kohsuke Kawaguchi (kk@kohsuke.org)

## Field Summary

Fields
Modifier and Type
Field
Description
`final Pattern`
`p`

## Constructor Summary

Constructors
Constructor
Description
`OneOrMorePattern(ParserRuntime rt, Pattern p_)`

## Method Summary

Modifier and Type
Method
Description
`Object`
`apply(PatternFunction f)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### p

public final Pattern p

## Constructor Details

### OneOrMorePattern

public OneOrMorePattern(ParserRuntime rt, Pattern p_)

## Method Details

### apply

public Object apply(PatternFunction f)

Specified by:
  `apply` in class `Pattern`